Skip to main content
POST
/
api
/
v1
/
access-control
/
bindings
Create binding
curl --request POST \
  --url https://api.rigbox.dev/api/v1/access-control/bindings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "principal": "<string>",
  "resource": "<string>",
  "role": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "principal_ref": "<string>",
  "resource_ref": "<string>",
  "role": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_ref": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt

Use this file to discover all available pages before exploring further.

Resource refs use the format rig:account:{id}, rig:workspace:{id}, or rig:app:{id}.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
principal
string
required
resource
string
required
role
string
required

Response

200 - application/json

Binding created

created_at
string<date-time>
required
principal_ref
string
required
resource_ref
string
required
role
string
required
updated_at
string<date-time>
required
created_by_ref
string | null